Package: org.codehaus.groovy.grails.web.servlet.mvc

## [Java] Class SimpleGrailsController

- org.codehaus.groovy.grails.web.servlet.mvc.SimpleGrailsController

- All Implemented Interfaces and Traits:
    org.springframework.web.servlet.mvc.Controller

      public class SimpleGrailsController
      extends java.lang.Object

  Base class for Grails controllers.

  Authors:
    Steven Devijver
    Graeme Rocher
    Stephane Maldini

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `org.springframework.web.servlet.ModelAndView` | `handleRequest(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
    `void` | `setGrailsControllerHelper(AbstractGrailsControllerHelper gch)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Method Detail

    - #### public org.springframework.web.servlet.ModelAndView handleRequest(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)

      Wraps regular request and response objects into Grails request and response objects.

      It can handle maps as model types next to ModelAndView instances.

      Parameters:
        `request` - HTTP request
        `response` - HTTP response
      Returns:
        the model

    - #### public void setGrailsControllerHelper(AbstractGrailsControllerHelper gch)